Description

new description:

the project CRS is not taken into account, but it can be convenient to have an option to create the result with assigned the project CRS.

old description:

ftools's "vector->data management tools->merge shapefiles to one" doesnt obey project-wide projection settings, nor asks for the

projection when creating the output file.

It seems to default to create WGS84 shapes, while my project is in EPSG:2154. Same thing if i configure it to ask for the projection of the

source layers (which in that case i specify as EPSG:2154, as the source files dont have a prj file attached)

I have 'Use Project CRS' for 'CRS for new layer' in the prefs.

Related issues:

Related to QGIS Application - Feature request # 7208: replace the "merge shap... Closed 2013-02-21

Associated revisions

Revision 3c4fb26d - 2017-12-06 08:28 PM - Nyall Dawson

Add option to control CRS for merge algorithm (fixes #9652)

The default behaviour of auto selecting the first layer's CRS

can be unpredictable, especially in models

History

#1 - 2014-03-01 05:33 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

- Tracker changed from Bug report to Feature request

- Subject changed from ftools merge shapes doesnt obey project projection setting to merge shapefiles: add option to get the result directly in project 

CRS

- Category set to 44

Hi,

I get your point but the tool actually work in a different way: it doesn't do any kind of projection transformation along with the merge operation.

The project CRS is not taken into account, and the shapefiles .prj/.qpj file is what does count at the end (not sure it the inputs shapefiles have .prj files with

different CRSs).
If the shapefiles do not have any .prj/.qpj file then qgis give the result the 4326 CRS, that can of course be the right one or wrong. If is wrong then it can be

corrected with the "assign projection" tool.

#2 - 2017-01-02 05:50 AM - Giovanni Manghi

- Category changed from 44 to Processing/QGIS

#3 - 2017-05-01 12:47 AM - Giovanni Manghi

- Easy fix? set to No

#4 - 2017-12-06 08:28 PM - Nyall Dawson

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|3c4fb26d1082bcfdae51f40114239dbcf207611c.

#5 - 2017-12-07 11:14 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Description updated
